import Instruction from '../instruction.js';
export default class Rule extends Instruction {
    searchVariant() {
        return {
            description: this.explanation,
            rule: this,
        };
    }
    get visibleWhenSolving() {
        return true;
    }
    /**
     * Whether only one instance of this rule is allowed in a grid.
     */
    get isSingleton() {
        return false;
    }
}
export const instance = undefined;
